Bug 1414442 (CVE-2017-5506) - CVE-2017-5506 ImageMagick: Double-free memory corruption in profile.c
Summary: CVE-2017-5506 ImageMagick: Double-free memory corruption in profile.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5506
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-18 14:07 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:30:25 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-18 14:07:34 UTC
A double-free vulnerability was found in ImageMagick. Parsing a maliciously crafted file could cause the application to crash or possibly result in memory corruption.

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/354

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/6235f1f7a9f7b0f83b197f6cd0073dbb6602d0fb

References:

http://seclists.org/oss-sec/2017/q1/110

Comment 1 Andrej Nemec 2017-01-18 15:03:45 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.